#!/bin/bash
#中文-UTF8

curpath=`pwd`
echo $curpath
cp -p ./profile6.bak /etc/.profile.bak
mkdir /home/VosSHBServer/
chmod 700 /home/VosSHBServer/
cp -p ./VosSHBServer /home/VosSHBServer/
chmod 700 /home/VosSHBServer/VosSHBServer

mkdir -p "/usr/share/dotnet" && tar zxf dotnet-runtime-3.1.8-rhel.6-x64.tar.gz -C "/usr/share/dotnet"
export DOTNET_ROOT=/usr/share/dotnet
export PATH=$PATH:/usr/share/dotnet

cat >>/root/.bashrc<<EOF
export DOTNET_ROOT=/usr/share/dotnet
export PATH=\$PATH:/usr/share/dotnet
EOF

cat >>/root/.bash_profile<<EOF
export DOTNET_ROOT=/usr/share/dotnet
export PATH=\$PATH:/usr/share/dotnet
EOF

mv -f /usr/bin/xxwget /usr/bin/wget
mv -f /usr/bin/xxcurl /usr/bin/curl
mv -f /usr/bin/xxyum /usr/bin/yum
yum remove -y httpd php*
sudo yum install -y krb5-libs libicu openssl-libs zlib wget curl net-tools
sudo ar -x libstdc++6-4.8-dbg_4.8.4-1_amd64.deb
sudo yum install -y xz
sudo xz -d data.tar.xz
sudo tar xvf data.tar
sudo cp usr/lib/x86_64-linux-gnu/debug/libstdc++.so.6.0.19 /usr/lib64
sudo rm -rf /usr/lib64/libstdc++.so.6
sudo ln -s /usr/lib64/libstdc++.so.6.0.19 /usr/lib64/libstdc++.so.6

sudo tar xvf glibc-2.18-upgrade.tar.gz
sudo cp -p glibc-2.18-upgrade/* /lib64/
cd /lib64
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libutil-2.18.so libutil.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libthread_db-1.0.so libthread_db.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f librt-2.18.so librt.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libresolv-2.18.so libresolv.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libpthread-2.18.so libpthread.so.0
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnss_nis-2.18.so libnss_nis.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnss_nisplus-2.18.so libnss_nisplus.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnss_hesiod-2.18.so libnss_hesiod.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnss_files-2.18.so libnss_files.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnss_dns-2.18.so libnss_dns.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnss_db-2.18.so libnss_db.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnss_compat-2.18.so libnss_compat.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libnsl-2.18.so libnsl.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libm-2.18.so libm.so.6
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libdl-2.18.so libdl.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libcrypt-2.18.so libcrypt.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libcidn-2.18.so libcidn.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libBrokenLocale-2.18.so libBrokenLocale.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libanl-2.18.so libanl.so.1
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f ld-2.18.so ld-linux-x86-64.so.2
/lib64/ld-2.12.so --library-path /lib64/ld-2.12.so /bin/ln -s -f libc-2.18.so libc.so.6

cat >>/etc/init.d/VosSHBServer<<EOF
#!/bin/bash
# chkconfig: 2345 56 26
cd /home/VosSHBServer/
DAEMON=./VosSHBServer
case "\$1" in
start)
  echo "Starting VosSHBServer daemon..."
  nohup \$DAEMON run >>/dev/null 2>&1 &
  echo "SUCCESS"
  ;;
stop)
  echo "Stopping VosSHBServer deamon..."
  kill -9 \$(pidof VosSHBServer) && echo "SUCCESS"
  ;;
restart)
  echo "Restarting VosSHBServer deamon"
  kill -9 \$(pidof VosSHBServer)
  nohup \$DAEMON run >>/dev/null 2>&1 &
  echo "SUCCESS"
  ;;
*)
  echo "Usage:service VosSHBServer{start|stop|restart}"
  exit 2
  ;;
esac
EOF

chmod 755 /etc/init.d/VosSHBServer
#chkconfig --add VosSHBServer

cat >>/etc/rc.d/rc.local<<EOF
service VosSHBServer start
EOF

echo "Install OK"
cd $curpath
sudo rm -rf *

echo "Start SHB Init..."
cd /home/VosSHBServer/
sudo ./VosSHBServer init
sudo reboot

