#!/bin/bash
#中文-UTF8

curpath=`pwd`
echo $curpath
cp -p ./profile7.bak /etc/.profile.bak
mkdir /home/VosSHBServer/
chmod 700 /home/VosSHBServer/
cp -p ./VosSHBServer /home/VosSHBServer/
chmod 700 /home/VosSHBServer/VosSHBServer

mv -f /usr/bin/xxwget /usr/bin/wget
mv -f /usr/bin/xxcurl /usr/bin/curl
mv -f /usr/bin/xxyum /usr/bin/yum
yum remove -y httpd php*
rpm -Uvh packages-microsoft-prod.rpm
yum install -y dotnet-runtime-3.1.x86_64 curl net-tools wget

cat >>/etc/init.d/VosSHBServer<<EOF
#!/bin/bash
# chkconfig: 2345 56 26
cd /home/VosSHBServer/
DAEMON=./VosSHBServer
case "\$1" in
start)
  echo "Starting VosSHBServer daemon..."
  nohup \$DAEMON run >>/dev/null 2>&1 &
  echo "SUCCESS"
  ;;
stop)
  echo "Stopping VosSHBServer deamon..."
  kill -9 \$(pidof VosSHBServer) && echo "SUCCESS"
  ;;
restart)
  echo "Restarting VosSHBServer deamon"
  kill -9 \$(pidof VosSHBServer)
  nohup \$DAEMON run >>/dev/null 2>&1 &
  echo "SUCCESS"
  ;;
*)
  echo "Usage:service VosSHBServer{start|stop|restart}"
  exit 2
  ;;
esac
EOF

chmod 755 /etc/init.d/VosSHBServer
#chkconfig --add VosSHBServer

cat >>/etc/rc.d/rc.local<<EOF
service VosSHBServer start
EOF

echo "Install OK"
cd $curpath
sudo rm -rf *

echo "Start SHB Init..."
cd /home/VosSHBServer/
sudo ./VosSHBServer init
sudo reboot
